Package it.ernytech.tdlib

## Class TdApi.SendCallDebugInformation

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.SendCallDebugInformation

Enclosing class:
  TdApi

    public static class TdApi.SendCallDebugInformation
    extends TdApi.Function

Sends debug information for a call.

Returns `Ok`

### Field Summary

Fields
`int` `callId` Call identifier.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `debugInformation` Debug information in application-specific format.

### Constructor Summary

Constructors
`SendCallDebugInformation()` Default constructor.
`SendCallDebugInformation​(int callId, java.lang.String debugInformation)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### callId

    public int callId

Call identifier.

#### debugInformation

    public java.lang.String debugInformation

Debug information in application-specific format.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### SendCallDebugInformation

    public SendCallDebugInformation()

Default constructor.

#### SendCallDebugInformation

    public SendCallDebugInformation​(int callId,
                                    java.lang.String debugInformation)

Constructor for initialization of all fields.

Parameters:
  `callId` - Call identifier.
  `debugInformation` - Debug information in application-specific format.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR